function ratplay(level)
%format: ratplay(level)
%*** runs training program, with four different difficulty levels
%**** level = 0, easy ... level = 3, hardest
%**** instructions provided inside program 

MaxTrials = 100;  % maximum trials to play, can quit earlier
fps = 30;  % frame rate of movie
correctnum = 0;
incorrectnum = 0;

%********* default level is easiest
Tnum = 4;
mnames = cell(4);
mnames{1} = 'sRA_z';
mnames{2} = 'sRB_z';
mnames{3} = 'sLA_z';
mnames{4} = 'sLB_z';

%******** adjust movies if higher level

if (level == 1)
    Tnum = 8;
    mnames = cell(8);
    mnames{1} = 'sRA_z';
    mnames{2} = 'sRB_z';
    mnames{3} = 'sLA_z';
    mnames{4} = 'sLB_z';
    mnames{5} = 'RA_z';
    mnames{6} = 'RB_z';
    mnames{7} = 'LA_z';
    mnames{8} = 'LB_z';
end   

if (level == 2)
    Tnum = 16;
    mnames = cell(8);
    mnames{1} = 'sRA_z';
    mnames{2} = 'sRB_z';
    mnames{3} = 'sLA_z';
    mnames{4} = 'sLB_z';
    mnames{5} = 'RA_z';
    mnames{6} = 'RB_z';
    mnames{7} = 'LA_z';
    mnames{8} = 'LB_z';
    mnames{9} = 'RA_C';
    mnames{10} = 'RB_C';
    mnames{11} = 'LA_C';
    mnames{12} = 'LB_C';
    mnames{13} = 'RA_D';
    mnames{14} = 'RB_D';
    mnames{15} = 'LA_D';
    mnames{16} = 'LB_D';
end   

if (level == 3)
    Tnum = 12;
    mnames = cell(12);
    mnames{1} = 'RA_z';
    mnames{2} = 'RB_z';
    mnames{3} = 'LA_z';
    mnames{4} = 'LB_z';
    mnames{5} = 'RA_C';
    mnames{6} = 'RB_C';
    mnames{7} = 'LA_C';
    mnames{8} = 'LB_C';
    mnames{9} = 'RA_D';
    mnames{10} = 'RB_D';
    mnames{11} = 'LA_D';
    mnames{12} = 'LB_D';
end   


for i = 1:MaxTrials  % trials to run
    % it = 1 + mod(i,Tnum);
    it = ceil( rand * Tnum );
    load(mnames{it});
    
    movi = M;
    if (mnames{it}(1) == 's')
        singler = 1;
        if (mnames{it}(2) == 'L')
            answer = 1;
            load 'sLhit';
            amovi = M;
        else
            answer = 2;
            load 'sRhit';
            amovi = M;
        end
        load 'sLRfront';
        fmovi = M;
    else
        singler = 0;
        if (mnames{it}(1) == 'L')
            answer = 1;
            load 'Lhit';
            amovi = M;
        else
            answer = 2;
            load 'Rhit';
            amovi = M;
        end
        load 'LRfront';
        fmovi = M;
    end
    %*****************************
    disp(' j - left,  k - go,  l - right (q-quit)');
    %*****************************
    while (CharAvail)
        ch = GetChar;
    end
    %****************
    ch = ' ';
    while ( (ch ~= 'k') & (ch ~= 'q') )   % check till key hit
        movie(fmovi,[1 1], fps);
        axis off;
        movie(fmovi,[0 (2:size(fmovi,2))], fps);
        if (CharAvail)
            ch = GetChar;
        end
    end
    if (ch == 'q')
        clc;
        %********* report accuracy, 95 conf ints above 50%???
        [a,b] = binofit(correctnum,(correctnum+incorrectnum));
        disp(sprintf('%d (%d - %d) percent of %d trials',...
            round(a*100),round(b(1)*100),round(b(2)*100),(correctnum+incorrectnum)));
        disp('Finished');
        return;
    end
    %*********** clear buffer *******
    while (CharAvail)
        ch = GetChar;
    end
    %***************************
    if (1) 
        step = 1;
        tot = size(movi,2);
        while (step <= tot )
            %******** play 500 ms of movie
            istep = step + 15;
            if (istep > tot)
                istep = tot;
            end
            
            movie(movi,[0 (step:istep)], fps);            
            step = istep+1;
            %*******************
            if ( (step < (tot-20)) & (step > 20) )  % if not near end and not begining
              ch = ' ';
              while (ch ~= 'k')
                if (CharAvail)
                    ch = GetChar;
                end
              end
            end
            %*******************
            while (CharAvail)
                ch = GetChar;
            end
        end % through movie
        
        ch = ' ';
        while ( (ch ~= 'j') & (ch ~= 'l') )
            if (CharAvail)
                ch = GetChar;
            end
        end
        while (CharAvail)
            ch = GetChar;
        end
        if (ch == 'j')
            realanswer = 1;
        else
            realanswer = 2;
        end

        clc;
        if (answer == realanswer)
            disp('        ');
            disp(' Correct ');
            correctnum = correctnum + 1;
        else
            disp('        ');
            disp('Incorrect');
            incorrectnum = incorrectnum + 1;
        end
       %***********
       movie(amovi,[0 1:size(amovi,2)], fps);            
       %***********
      
       while (CharAvail)
           ch = GetChar;
       end
       
     end %1
end % 20 trials

return;


function waiter(timeper)
    tic;
    tip = toc;
    while (toc < tip)
        tip = toc;
    end
return
              